'use strict'

const apemanerror = require('apemanerror')
const { ApErrorCodes } = apemanerror

const trigger = 'apeman-app-sign'

module.exports = Object.assign(exports, {
  notFoundError (type, id) {
    let code = ApErrorCodes.RESOURCE_NOT_FOUND_ERROR
    return Object.assign(
      apemanerror.newError(code, null, {
        trigger,
        scope: { type, id }
      }),
      { status: '404' }
    )
  },

  signError () {
    let code = ApErrorCodes.SIGN_FORM_WRONG_ERROR
    return apemanerror.newError(code, '/data/attributes', {
      trigger
    })
  }
})
